clear; clc;

% Predator Ecology book, Chapter 9
% Code to make Figure 9.1
% Type III and type II can look similar

x = 0:100;
h = 1;
aconst = 0.2;
k = 10;
typeI = aconst.*x;
typeII = aconst.*x./(1+aconst.*h.*x);

b = 0.07;

a = b.*x.^0.3;
typeIII = a.*x./(1+a.*h.*x);
typeIIInoh = a.*x;

aalt = aconst.*x./(k + x);
typeIIIalt = aalt.*x./(1+aalt.*h.*x);

figure(1);clf(1);
hold on; box on;
    z1 = plot(x,typeII,'-k','LineWidth',2);
    z2 = plot(x,typeIII,'--k','LineWidth',2);
    legend([z1 z2],'Type II','Type III','Location','Best');

    xlabel('Prey level','FontSize',12);
    ylabel('Prey consumed','FontSize',12);

shg;