function [xm,log_z] = RBFS_typeIII(x,y,paramater_matrix,N,weights)

amin = paramater_matrix(2,1); amax = paramater_matrix(3,1);
hmin = paramater_matrix(2,2); hmax = paramater_matrix(3,2);
kmin = paramater_matrix(2,3); kmax = paramater_matrix(3,3);

xm = [Inf Inf Inf Inf]; % set inf as starting value
log_z = []; % open empty vector
rng('shuffle');
for i = 1:N
%     B0 = Bmin + (Bmax-Bmin)*rand;
%     D0 = Dmin + (Dmax-Dmin)*rand;
%     Eb = Ebmin + (Ebmax-Ebmin)*rand;
    
    param_vector = paramater_matrix(2,:) + (paramater_matrix(3,:)-paramater_matrix(2,:)).*rand(1,length(paramater_matrix));
    for j = 1:length(paramater_matrix)
        if isnan(paramater_matrix(1,j)) == 0
            param_vector(j) = paramater_matrix(1,j);
        end
    end
    param_vector
    pause
    a = param_vector(1);
    h = param_vector(2);
    k = param_vector(3)
    [a,h,k]
    x
    y
    pause
    z = MLE_across_prey_levels(x,y,[a,h,k],weights);

    if z < xm(4) && z > -Inf
        xm = [a h k z];
        log_z(size(log_z,1)+1,1) = z;
        log_z(size(log_z,1),2) = i;        
    end
end

pos = 1:length(paramater_matrix); % positions of parameters in vector
pos_to_include = pos(isnan(paramater_matrix(1,:))); % pull those not nan

for i = 1:N
    xm2 = xm;
    which_param = pos_to_include(randi(length(pos_to_include),1));
    xm2(which_param) = xm(which_param) + 0.07*randn*xm(which_param);
    a = xm2(1);
    h = xm2(2);
    k = xm2(3);
    z = MLE_across_prey_levels(x,y,[a,h,k],weights);
    
    if z < xm(4) && z > -Inf
        xm = [a h k z];
        log_z(size(log_z,1)+1,1) = z;
        log_z(size(log_z,1),2) = N+i;        
    end
end
