
%% 

xx = 2:0.2:4;
[X,Y] = meshgrid(xx,xx);

for i = 1:length(xx)*length(xx)
    no_x = X(i);
    no_y = Y(i);
    
    exp_x(i) = 20.*(1-exp(L_a*(DN_h*no_y + L_h*no_x - 24))) - no_x;
    exp_y(i) = 20.*(1-exp(DN_a*(DN_h*no_y + L_h*no_x - 24))) - no_y;
    
end
Q1 = reshape(exp_x,length(xx),length(xx));
Q2 = reshape(exp_y,length(xx),length(xx));

figure(3);clf(3);
    box on; hold on;
    grid on;
    s1 = surf(X,Y,Q1,'FaceAlpha',0.5,'FaceColor',[0.2 0.2 0.2]);
    s2 = surf(X,Y,Q2,'FaceAlpha',0.5,'FaceColor',[0.2 0.2 0.2]);
    s2 = surf(X,Y,zeros(size(X)),'FaceAlpha',0.5,'FaceColor',[0.2 0.2 0.2]);
    zlim([-0.25 0.25]);
    shg;
